# FTXUI: PendingTask Struct Reference

Loading...
Searching...
No Matches
PendingTask Struct Reference

`#include <task_internal.hpp>`

## Public Member Functions

| PendingTask (Task t)
| PendingTask (Task t, std::chrono::steady_clock::duration duration)
bool | operator< (const PendingTask &other) const

## Public Attributes

Task | task
| The task to be executed.
std::optional< std::chrono::steady_clock::time_point > | time

## Detailed Description

A PendingTask represents a task that is scheduled to be executed at a specific time, or as soon as possible.

Definition at line 18 of file task_internal.hpp.

## Constructor & Destructor Documentation

## PendingTask() [1/2]

PendingTask | ( | Task | t | ) |

inline

Definition at line 20 of file task_internal.hpp.

## PendingTask() [2/2]

PendingTask | ( | Task | t,
|  | std::chrono::steady_clock::duration | duration )

inline

Definition at line 23 of file task_internal.hpp.

## Member Function Documentation

## operator<()

bool operator< | ( | const PendingTask & | other | ) | const

Compare two PendingTasks by their time. If both tasks have no time, they are considered equal.

Definition at line 7 of file task.cpp.

## Member Data Documentation

## task

Task task

The task to be executed.

Definition at line 27 of file task_internal.hpp.

## time

std::optional<std::chrono::steady_clock::time_point> time

The time when the task should be executed. If the time is empty, the task should be executed as soon as possible.

Definition at line 31 of file task_internal.hpp.

The documentation for this struct was generated from the following files:

- task_internal.hpp
- task.cpp